Bug 13564 - Items search: rename Stock number to Inventory number
Summary: Items search: rename Stock number to Inventory number
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-12 17:21 UTC by Katrin Fischer
Modified: 2016-12-05 21:22 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13564: Items search: rename Stock number to Inventory number (1.76 KB, patch)
2015-01-13 02:07 UTC, Rochelle Healy
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13564: Items search: rename Stock number to Inventory number (1.84 KB, patch)
2015-01-13 07:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13564: Items search: rename Stock number to Inventory number (1.83 KB, patch)
2015-01-13 09:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
k (3.78 KB, patch)
2015-01-18 19:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-01-12 17:21:42 UTC
In the English UNIMARC and MARC21 frameworks the subfield for items.stocknumber has the description "Inventory number". It would be good to use the same term on the items search form and results table.
Comment 1 Katrin Fischer 2015-01-12 17:23:38 UTC
To test:
- Go to Advanced search
- Click on link 'go to item search'
- Check the search options in the second section for "Stock number"
- Do a search and note the column name appears as "Stock number"
Comment 2 Rochelle Healy 2015-01-13 02:07:48 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-01-13 07:06:37 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-01-13 09:09:24 UTC
Created attachment 35146 [details] [review]
Bug 13564: Items search: rename Stock number to Inventory number

To test:
- Go to Advanced search
- Click on link 'go to item search'
- Check the search options in the second section for "Stock number"
- Do a search and note the column name appears as "Stock number"
- Apply patch
- Try the search again and check that "Inventory number" shows

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described, thx!
Comment 5 Jonathan Druart 2015-01-13 09:11:20 UTC
It seems that some occurrences still exist.

2 for the item search feature:
koha-tmpl/intranet-tmpl/prog/en/includes/catalogue/itemsearch_items.inc:      [% INCLUDE itemsearch_header name='stocknumber' label='stock number' text='Stock number' %]
koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/itemsearch.csv.tt:Title, Publication Date, Publisher, Collection, Barcode, Call number, Home library, Current location, Shelving location, Stock number, Status, Checkouts

and 3 others:
koha-tmpl/intranet-tmpl/prog/en/modules/acqui/neworderempty.tt:                          <th>Stock number</th>
koha-tmpl/intranet-tmpl/prog/en/modules/acqui/orderreceive.tt:                            <th>Stock number</th>
koha-tmpl/intranet-tmpl/prog/en/modules/acqui/orderreceive.tt:                            <th>Stock number</th>
Comment 6 Tomás Cohen Arazi 2015-01-15 00:39:28 UTC
Patch pushed to master.

Thanks Rochelle, and congratulations!
Comment 7 Katrin Fischer 2015-01-15 06:40:33 UTC
Jonathan found some more occurrences, probably in the CSV export (comment#5) - can we get another patch for those? :)
Comment 8 Chris Cormack 2015-01-18 02:30:15 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 9 Katrin Fischer 2015-01-18 19:35:43 UTC Comment hidden (obsolete)